# A platform-agnostic way of versioning and releasing using semantic-release
# 
# https://semantic-release.gitbook.io/semantic-release/v/beta/recipes/recipes/gitlab-ci#.gitlab-ci.yml-configuration-for-all-projects
# https://docs.gitlab.com/ee/ci/examples/semantic-release.html
# https://github.com/semantic-release/git/issues/286#issuecomment-1254942198

'semantic-release':
  extends:
    - '.base-stage:release'
  before_script:
    - apt-get update && apt-get install -y --no-install-recommends git-core ca-certificates curl jq
    - export GIT_AUTHOR_EMAIL="$(curl -s -X GET -H "PRIVATE-TOKEN:$GITLAB_TOKEN" "${CI_API_V4_URL}/user" | jq -r '.email')"
    - export GIT_COMMITTER_EMAIL="${GIT_AUTHOR_EMAIL}"
  script:
    - pnpm add -D @semantic-release/gitlab @semantic-release/git
    - pnpx semantic-release
